View Issue Details

IDProjectCategoryView StatusLast Update
0002633Ham Radio DeluxeBugpublic2018-04-09 14:37
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.806 
Summary0002633: Logbook: QRZ lookup of multi-part names doesn't work well
DescriptionSome names have multiple parts, like "Sally Jesse Raphael" or "Tommy Lee Jones". Such names are not correctly populated by a QRZ lookup into the logbook.

Steps To Reproduce1) Fire up Logbook
2) Use the "Callsign Lookup" command in the "Configure" menu to make sure QRZ XML lookups are enabled
3) Use the "Add" button to open the QSO editor
4) Enter a user who has a name and/or addres with accented characters in it. I'm testing with "EA2KR".
5) Press "Lookup"

BUG#1) The "Name" field of the main dialog (not one of the tabs) populates with "Sánchez cárdenas". The garbage characters are a symptom of another bug; the problem here is that only the last name and suffix appear in the name field. The name field should contain the full name, as "Óscar Sánchez cárdenas".

6) Enter another call sign "K7ZCZ".
7) Press the "Lookup" button

The "Name" field is correctly populated iwth a first name, last name, and middle initial. Not quite a three-part name, but this correct behaviour highlights the three-name isuse.


Additional InformationOriginally discussed in this forum thread: https://forums.ham-radio-deluxe.com/node/43120?p=43850
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

has duplicate 0002178 closedK7ZCZ Discrepancy in ALE Name field with QRZ Lookup 

Activities

PD9FER

2018-03-29 06:59

viewer   ~0004591

Ticket #114159
Customer comment:

Having kept logs for fifty+ years it has always been convention to enter first name only in the log ... This has not changed ... Full names are for postal addresses ... When talking to someone we have no need to know his/her full name .... It also takes up precious space on the screen ....

There used to be a switch in the Logbook ALE window (tab) to use either first name or full name in the logbook ....

Somewhere along the line that switch(option) was removed ... It should be put back ...

I see Mike B. has added Mantis 0002633 to look at name parsing ... Please consider adding back the first name only OPTION ... Perhaps a link to 2633 ?

K7ZCZ

2018-03-29 17:08

manager   ~0004596

I've opened a separate issue (2636) to track this suggested feature. This issue is about fixing the name parsing.

K7ZCZ

2018-03-31 12:40

manager   ~0004608

A shelf set is out for code review to address this issue

https://hrdsoftware.visualstudio.com/HRD/_versionControl/shelveset?ss=firstname%20lastname%20fix%3Bmikeblas%40msn.com

K7ZCZ

2018-04-01 12:40

manager   ~0004617

This fix has been checked-in
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4011

vk2byi

2018-04-04 05:01

viewer   ~0004666

Using the test calls EA2KR, K7ZCZ, W1AW and Z37CEF, three, four and five part names appear to be handled OK. I didn't expect OJ9X to work - "Santa Radio and 100-years of Independence of the Republic of Finland" :)

PD9FER

2018-04-04 11:00

viewer   ~0004672

Build 799 the lookup of EA2KR only display's Oscar as name

g3ucq

2018-04-04 15:41

viewer   ~0004691

EA2KR Óscar Sánchez cárdenas. Fixed for me

Issue History

Date Modified Username Field Change
2018-03-29 00:01 K7ZCZ New Issue
2018-03-29 06:59 PD9FER Note Added: 0004591
2018-03-29 17:08 K7ZCZ Note Added: 0004596
2018-03-31 12:40 K7ZCZ Note Added: 0004608
2018-04-01 12:40 K7ZCZ Assigned To => K7ZCZ
2018-04-01 12:40 K7ZCZ Status new => resolved
2018-04-01 12:40 K7ZCZ Resolution open => fixed
2018-04-01 12:40 K7ZCZ Note Added: 0004617
2018-04-01 12:40 K7ZCZ Relationship added has duplicate 0002178
2018-04-02 10:39 K7ZCZ Fixed in Version => 6.4.0.798
2018-04-04 05:01 vk2byi Note Added: 0004666
2018-04-04 11:00 PD9FER Note Added: 0004672
2018-04-04 15:41 g3ucq Note Added: 0004691
2018-04-06 11:17 WA9PIE Status resolved => closed
2018-04-06 11:17 WA9PIE Steps to Reproduce Updated View Revisions
2018-04-06 11:17 WA9PIE Testing Not Started => Beta Successful
2018-04-07 19:23 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-04-07 19:25 WA9PIE Fixed in Version 6.4.0.798 => 6.4.0.805
2018-04-09 14:37 WA9PIE Fixed in Version 6.4.0.805 => 6.4.0.806